#import <Cocoa/Cocoa.h>
#import <QuartzCore/QuartzCore.h>


@interface FastZoomFilter: CIFilter
{
    CIImage   *inputImage;
    NSNumber  *inputScale;
	CIVector  *inputOffset;
	CIKernel *fastZoomKernel;
	
}

- (id)initWithKernel:(NSString*) nameOfKernelToUse;

-(CGRect) scaledAndOffsetRect:(CGRect) rSource;

@end
